import { Plugin } from 'esbuild';
import { CSSModulesConfig } from 'lightningcss';
import { transformLess } from './transform-less';
import { convertLessError } from './less-utils';
export { transformLess, convertLessError };
type StyleLoaderOptions = {
    filter?: RegExp;
    namespace?: string[];
    cssModules?: CSSModulesConfig;
    browsers?: string;
};
export declare const styleLoader: (options?: StyleLoaderOptions) => Plugin;
